<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ViaRouteSelection StructType
 * @subpackage Structs
 */
class ViaRouteSelection extends AbstractStructBase
{
    /**
     * The ViaRoutes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierViaRoute
     */
    public $ViaRoutes;
    /**
     * The Vehicles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicle
     */
    public $Vehicles;
    /**
     * The Places
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierPlace
     */
    public $Places;
    /**
     * The DateTimeRange
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DateTimeRangeSelection
     */
    public $DateTimeRange;
    /**
     * Constructor method for ViaRouteSelection
     * @uses ViaRouteSelection::setViaRoutes()
     * @uses ViaRouteSelection::setVehicles()
     * @uses ViaRouteSelection::setPlaces()
     * @uses ViaRouteSelection::setDateTimeRange()
     * @param \ArrayType\ArrayOfIdentifierViaRoute $viaRoutes
     * @param \ArrayType\ArrayOfIdentifierVehicle $vehicles
     * @param \ArrayType\ArrayOfIdentifierPlace $places
     * @param \StructType\DateTimeRangeSelection $dateTimeRange
     */
    public function __construct(\ArrayType\ArrayOfIdentifierViaRoute $viaRoutes = null, \ArrayType\ArrayOfIdentifierVehicle $vehicles = null, \ArrayType\ArrayOfIdentifierPlace $places = null, \StructType\DateTimeRangeSelection $dateTimeRange = null)
    {
        $this
            ->setViaRoutes($viaRoutes)
            ->setVehicles($vehicles)
            ->setPlaces($places)
            ->setDateTimeRange($dateTimeRange);
    }
    /**
     * Get ViaRoutes value
     * @return \ArrayType\ArrayOfIdentifierViaRoute|null
     */
    public function getViaRoutes()
    {
        return $this->ViaRoutes;
    }
    /**
     * Set ViaRoutes value
     * @param \ArrayType\ArrayOfIdentifierViaRoute $viaRoutes
     * @return \StructType\ViaRouteSelection
     */
    public function setViaRoutes(\ArrayType\ArrayOfIdentifierViaRoute $viaRoutes = null)
    {
        $this->ViaRoutes = $viaRoutes;
        return $this;
    }
    /**
     * Get Vehicles value
     * @return \ArrayType\ArrayOfIdentifierVehicle|null
     */
    public function getVehicles()
    {
        return $this->Vehicles;
    }
    /**
     * Set Vehicles value
     * @param \ArrayType\ArrayOfIdentifierVehicle $vehicles
     * @return \StructType\ViaRouteSelection
     */
    public function setVehicles(\ArrayType\ArrayOfIdentifierVehicle $vehicles = null)
    {
        $this->Vehicles = $vehicles;
        return $this;
    }
    /**
     * Get Places value
     * @return \ArrayType\ArrayOfIdentifierPlace|null
     */
    public function getPlaces()
    {
        return $this->Places;
    }
    /**
     * Set Places value
     * @param \ArrayType\ArrayOfIdentifierPlace $places
     * @return \StructType\ViaRouteSelection
     */
    public function setPlaces(\ArrayType\ArrayOfIdentifierPlace $places = null)
    {
        $this->Places = $places;
        return $this;
    }
    /**
     * Get DateTimeRange value
     * @return \StructType\DateTimeRangeSelection|null
     */
    public function getDateTimeRange()
    {
        return $this->DateTimeRange;
    }
    /**
     * Set DateTimeRange value
     * @param \StructType\DateTimeRangeSelection $dateTimeRange
     * @return \StructType\ViaRouteSelection
     */
    public function setDateTimeRange(\StructType\DateTimeRangeSelection $dateTimeRange = null)
    {
        $this->DateTimeRange = $dateTimeRange;
        return $this;
    }
}
